<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.djhk.uav.feedback.mapper.QuestionFeedbackMapper">
    
    <resultMap type="com.djhk.uav.feedback.domain.QuestionFeedback" id="QuestionFeedbackResult">
        <result property="id"    column="id"    />
        <result property="title"    column="title"    />
        <result property="url"    column="url"    />
        <result property="content"    column="content"    />
        <result property="tel"    column="tel"    />
        <result property="deptId"    column="dept_id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectQuestionFeedbackVo">
        select id, title, url, content, tel, dept_id, del_flag, create_by, create_time, update_by, update_time, remark from question_feedback
    </sql>

    <select id="selectQuestionFeedbackList" parameterType="com.djhk.uav.feedback.domain.QuestionFeedback" resultMap="QuestionFeedbackResult">
        <include refid="selectQuestionFeedbackVo"/>
        <where>  
            <if test="title != null  and title != ''"> and title = #{title}</if>
            <if test="url != null  and url != ''"> and url = #{url}</if>
            <if test="content != null  and content != ''"> and content = #{content}</if>
            <if test="tel != null  and tel != ''"> and tel = #{tel}</if>
            <if test="deptId != null  and deptId != ''"> and dept_id = #{deptId}</if>
        </where>
    </select>
    
    <select id="selectQuestionFeedbackById" parameterType="Long" resultMap="QuestionFeedbackResult">
        <include refid="selectQuestionFeedbackVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertQuestionFeedback" parameterType="com.djhk.uav.feedback.domain.QuestionFeedback" useGeneratedKeys="true" keyProperty="id">
        insert into question_feedback
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="title != null">title,</if>
            <if test="url != null">url,</if>
            <if test="content != null">content,</if>
            <if test="tel != null">tel,</if>
            <if test="deptId != null">dept_id,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="title != null">#{title},</if>
            <if test="url != null">#{url},</if>
            <if test="content != null">#{content},</if>
            <if test="tel != null">#{tel},</if>
            <if test="deptId != null">#{deptId},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateQuestionFeedback" parameterType="com.djhk.uav.feedback.domain.QuestionFeedback">
        update question_feedback
        <trim prefix="SET" suffixOverrides=",">
            <if test="title != null">title = #{title},</if>
            <if test="url != null">url = #{url},</if>
            <if test="content != null">content = #{content},</if>
            <if test="tel != null">tel = #{tel},</if>
            <if test="deptId != null">dept_id = #{deptId},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteQuestionFeedbackById" parameterType="Long">
        delete from question_feedback where id = #{id}
    </delete>

    <delete id="deleteQuestionFeedbackByIds" parameterType="String">
        delete from question_feedback where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>
